# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## 2.0.4 - 2019-10-30
### Fixed
- Fixed missing minified Javascript and CSS code

## 2.0.3 - 2019-10-09
### Fixed
- Use postMessage correctly as the default request method if it's not specified in the query string.

## 2.0.2 - 2017-16-07
### Fixed
- No longer using Date() to generate callback IDs. This caused problems when dispatching actions at the same time.

## 2.0.1 - 2017-11-07
### Fixed
- parsed mailto: links not working.

## 2.0.0 - 2017-11-01
### Changed
- Set postMessage as the default request method.

### Fixed
- Parse stringified postMessage data before passing to response handler.
- iframe requests missing parameters.

## Removed
- handle parameter passed from parent.
- requestParameter no longer required (breaking).

## 1.0.1 - 2017-10-12
### Added
- UMD compatible module. Accidentally removed in 0.1.1.

## 1.0.0 - 2017-10-12
### Added
- Throw Error if callback/jsListenenr not defined or invalid.

## 0.1.1 - 2017-10-11
### Added
- Updated README with npm and CDN installation.

## 0.1.0 - 2017-10-11
### Added
- UMD compatible module.

## 0.0.1 - 2017-10-11
### Added
- Published to npm.
